Subject: Re: bug#35424: Gnome terminal doesn't keep current working directory in new tab/window

From: Ben Sturmfels <[email-masked]>
Date: Mon, 22 Jul 2019 18:50:19 +1000

On Thu, 25 Apr 2019, Ben Sturmfels wrote:

> Hi Folks,
>
> Just minor thing, but on other systems I use, when you open subsequent
> Gnome Terminal tabs, the current working directory is maintained in the
> new tab. On my Guix System, new tabs start up back at /home/ben.

I've found that sourcing vte.sh fixes the issue, and the working
directory is retained:

`source /gnu/store/...-vte-0.52.2/etc/profile.d/vte.sh`

I've tested in a `guix system vm` to make sure it wasn't related to
my .bashrc and it's not. It's exactly the same aside from that the Gnome
details open a new terminal window, not a tab.